%define upstream_name    Math-nSphere
%define upstream_version 0.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Calculate volumen and surface of n-spheres
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
This module provides functions to calculate the surface and the volumen of
n-spheres of any dimension.

Note that n + 1 equals the space dimension. For instace, a circunference is
a 1-sphere and a sphere is a 2-sphere.

* $sur = nsphere_surface($n, $r)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.10.0-8.mga6
+ Revision: 1029708
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.10.0-7.mga6
+ Revision: 949721
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.10.0-6.mga5
+ Revision: 790381
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-5.mga5
+ Revision: 746049
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-4.mga5
+ Revision: 685388
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.10.0-3.mga4
+ Revision: 512963
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 369687
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 30 2011 jquelin <jquelin> 0.10.0-1.mga2
+ Revision: 116515
- imported package perl-Math-nSphere


* Thu Jun 30 2011 cpan2dist 0.01-1mga
- initial mageia release, generated with cpan2dist
